curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"begins_on": "2023-12-25",
"ends_on": "2023-12-25",
"evaluation_period_start": "2023-12-25",
"evaluation_period_end": "2023-12-25",
"category": "<string>",
"draft_mode": true,
"archived_at": "<string>"
},
"relationships": {
"department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"definition": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List workflows
Returns a list of workflows (faculty evaluation cycles)
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"begins_on": "2023-12-25",
"ends_on": "2023-12-25",
"evaluation_period_start": "2023-12-25",
"evaluation_period_end": "2023-12-25",
"category": "<string>",
"draft_mode": true,
"archived_at": "<string>"
},
"relationships": {
"department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"definition": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: department, definition
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, id, name, begins_on
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, category, name, name.neq, name.cont (case-insensitive substring match), name.in (list of values, comma-separated), name.nin (list of values, comma-separated), begins_on, begins_on.neq, begins_on.lt, begins_on.lte, begins_on.gt, begins_on.gte, ends_on, ends_on.neq, ends_on.lt, ends_on.lte, ends_on.gt (null values are treated as unbounded above and match this filter), ends_on.gte (null values are treated as unbounded above and match this filter), draft_mode (boolean), department, department.exists (boolean), definition.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page